Edit an existing webhook
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| webhookId | integer (int32) | Required |
Request Body
WebhookEditRequest
| Property | Description | Type |
|---|---|---|
| active | The webhook activation status (true=Active, false=Inactive) Required | boolean |
| mailingList | List of email addresses. Each recipient in this list will receive an email when a webhook fails or gets disabled Required Cannot be Empty | string[] |
| secret | The encryption secret. Required | string |
| url | The URL to be invoked by the webhook Required | string |
| webhookDescription | The description for the webhook Required (defined) | string |
| webhookEventTypeId | The type of event that will trigger the webhook Required | integer (int32) |
| webhookName | The name of the webhook Required Must be between 0 and 64 characters | string |
Example Request Body
{ "active": false, "mailingList": [
"string"
], "secret": "string", "url": "string", "webhookDescription": "string", "webhookEventTypeId": 1, "webhookName": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
WebhookResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| createdBy | UserChild | |||||||||||||
|
UserChild properties
|
||||||||||||||
| createdDate | The date and time the webhook was created | string (date-time) | ||||||||||||
| eventType | WebhookEventTypeChild | |||||||||||||
|
WebhookEventTypeChild properties
|
||||||||||||||
| locked | Locked webhooks cannot be edited. Locked webhooks will also NOT be automatically disabled on 10 consecutive failures | boolean | ||||||||||||
| mailingList | List of email addresses. Each recipient in this list will receive an email when a webhook fails or gets disabled | string[] | ||||||||||||
| secret | The encryption secret | string | ||||||||||||
| successRate | The percentage of success for the webhook | number (double) | ||||||||||||
| url | The URL to be invoked by the webhook | string | ||||||||||||
| webhookDescription | The description of the webhook | string | ||||||||||||
| webhookId | The identifier of the webhook | integer (int32) | ||||||||||||
| webhookName | The name of the webhook | string | ||||||||||||
| webhookStatus | The activation status of the webhook | string | ||||||||||||
Example Response
{ "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-03-30", "eventType": { "webhookEventTypeId": 1, "webhookEventTypeName": "string"
}, "locked": false, "mailingList": [
"string"
], "secret": "string", "successRate": 1.0, "url": "string", "webhookDescription": "string", "webhookId": 1, "webhookName": "string", "webhookStatus": "string"
}